EasyPet = AceLibrary("AceAddon-2.0"):new("AceEvent-2.0", "AceConsole-2.0", "AceDB-2.0")
EasyPet.options = AceLibrary("Dewdrop-2.0")
EasyPet:RegisterDB("EasyPetDB")
EasyPet:RegisterDefaults("profile", {
    -- AUTOMATIC STUFF
    Locked = true,
    Scale = .8,
    }
)

EasyPet_Placement = {
    type = "group",
    desc = "Placement",
    args = {    
        ["Center"] = {
            name = "Center",
            type = "toggle",
            desc = "Places the frame in the center of the screen.",
            get = function() end,
            set = function() EasyPetAnchor:ClearAllPoints(); EasyPetAnchor:SetPoint("CENTER", UIParent, "CENTER", 0, -200); EasyPetAnchor:SetUserPlaced(true) end,
            notCheckable = true,
        },
        ["BelowMinimap"] = {
            name = "Below Minimap",
            type = "toggle",
            desc = "Places the frame below the minimap.",
            get = function() end,
            set = function() EasyPetAnchor:ClearAllPoints(); EasyPetAnchor:SetPoint("CENTER", Minimap, "BOTTOM", 0, -20); EasyPetAnchor:SetUserPlaced(true) end,
            notCheckable = true,
        },
        ["TopCenter"] = {
            name = "Top Center",
            type = "toggle",
            desc = "Places the frame in the top center of the screen.",
            get = function() end,
            set = function() EasyPetAnchor:ClearAllPoints(); EasyPetAnchor:SetPoint("CENTER", UIParent, "TOP", 0, -10); EasyPetAnchor:SetUserPlaced(true) end,
            notCheckable = true,
        },
        ["Lock"] = {
            name = "Mouse-drag Frame",
            type = "toggle",
            desc = "Allows the frame to be moved around the screen.",
            get = function() return EasyPet.db.profile.Locked end,
            set = function()
                if EasyPet.db.profile.Locked then
                    EasyPetAnchor:EnableMouse(0)
                    EasyPetAnchor:Hide()
                    EasyPet.db.profile.Locked = false
                else
                    EasyPetAnchor:EnableMouse(1)
                    EasyPetAnchor:Show()
                    EasyPet.db.profile.Locked = true
                end
            end
        },
    }
}

EasyPet_Scale = {
    type = "group",
    desc = "Scale",
    args = {
        ["SCALE"] = {
            name = "Scale",
            type = "range",
            desc = "Set the frame scale.",
            get = function() return EasyPet.db.profile.Scale end,
            set = function(v)
                EasyPet.db.profile.Scale = v
                EasyPetAnchor:ClearAllPoints(); EasyPetAnchor:SetPoint("CENTER", UIParent, "CENTER", 0, -200); EasyPetAnchor:SetUserPlaced(true)
                for i = 1, 8 do
                    local button = getglobal("EasyPetButton"..i)
                    button:SetScale(EasyPet.db.profile.Scale)
                end
            end,
            min = 0,
            max = 2, -- since percentage, max is 100%,
            step = 0.05, -- every 5%
            isPercent = false,
        },
    }
}